# SPDX-License-Identifier: MIT
%global source_version 4.1
%global source_release 29
%global source_url     http://www.senamirmir.org/projects/typography/typeface.html

%global default_fonts_foundry      Senamirmir
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global common_description %{expand:
A set of high quality Unicode font families for the  Geʼez (Ethiopic) script
published by the Senamirmir project. They can be used to write Ethiopic and
Eritrean languages (Amharic, Blin, Geʼez, Harari, Meʼen, Tigre, Tigrinya…).}

%global fonts_summary             a font family for the Geʼez (Ethiopic) script

%global fonts_family0             WashRa
%global fonts_summary0            Senamirmir WashRa, %{fonts_summary}
%global fonts_tags0               %{expand:
Obsoletes: senamirmir-washra-fonts-common < %{version}-%{release}
}
%global fonts_fonts0              washrab.ttf washrasb.ttf
%global fonts_experimental_confs0 65-%{fonts_name0}.xml
%global fonts_description0        %{?common_description}

%global fonts_family1             Fantuwua
%global fonts_summary1            Senamirmir Fantuwua, %{fonts_summary}
%global fonts_tags1               %{expand:
Obsoletes: senamirmir-washra-fantuwua-fonts < %{version}-%{release}
}
%global fonts_fonts1              fantuwua.ttf
%global fonts_experimental_confs1 65-%{fonts_name1}.xml
%global fonts_description1        %{expand:
%{?common_description}
This package consists of the “Ethiopic Fantuwua” font family.}

%global fonts_family2             Hiwua
%global fonts_summary2            Senamirmir Hiwua, %{fonts_summary}
%global fonts_tags2               %{expand:
Obsoletes: senamirmir-washra-hiwua-fonts < %{version}-%{release}
}
%global fonts_fonts2              hiwua.ttf
%global fonts_experimental_confs2 65-%{fonts_name2}.xml
%global fonts_description2        %{expand:
%{?common_description}
This package consists of the “Ethiopic Hiwua” font family.}

%global fonts_family3             Jiret
%global fonts_summary3            Senamirmir Jiret, %{fonts_summary}
%global fonts_tags3               %{expand:
Obsoletes: senamirmir-washra-jiret-fonts < %{version}-%{release}
}
%global fonts_fonts3              jiret.ttf
%global fonts_experimental_confs3 65-%{fonts_name3}.xml
%global fonts_description3        %{expand:
%{?common_description}
This package consists of the “Ethiopic Jiret” font family.}

%global fonts_family4             Tint
%global fonts_summary4            Senamirmir Tint, %{fonts_summary}
%global fonts_tags4               %{expand:
Obsoletes: senamirmir-washra-tint-fonts < %{version}-%{release}
}
%global fonts_fonts4              tint.ttf
%global fonts_experimental_confs4 65-%{fonts_name4}.xml
%global fonts_description4        %{expand:
%{?common_description}
This package consists of the “Ethiopic Tint” font family.}

%global fonts_family5             Wookianos
%global fonts_summary5            Senamirmir Wookianos, %{fonts_summary}
%global fonts_tags5               %{expand:
Obsoletes: senamirmir-washra-wookianos-fonts < %{version}-%{release}
}
%global fonts_fonts5              wookianos.ttf
%global fonts_experimental_confs5 65-%{fonts_name5}.xml
%global fonts_description5        %{expand:
%{?common_description}
This package consists of the “Ethiopic Wookianos” font family.}

%global fonts_family6             Yebse
%global fonts_summary6            Senamirmir Yebse, %{fonts_summary}
%global fonts_tags6               %{expand:
Obsoletes: senamirmir-washra-yebse-fonts < %{version}-%{release}
}
%global fonts_fonts6              yebse.ttf
%global fonts_experimental_confs6 65-%{fonts_name6}.xml
%global fonts_description6        %{expand:
%{?common_description}
This package consists of the “Ethiopic Yebse” font family.}

%global fonts_family7             Yigezu Bisrat Goffer
%global fonts_summary7            Senamirmir Yigezu Bisrat Goffer, %{fonts_summary}
%global fonts_tags7               %{expand:
Obsoletes: senamirmir-washra-yigezu-bisrat-goffer-fonts < %{version}-%{release}
}
%global fonts_fonts7              goffer.ttf
%global fonts_experimental_confs7 65-%{fonts_name7}.xml
%global fonts_description7        %{expand:
%{?common_description}
This package consists of the “Ethiopic Yigezu Bisrat Goffer” font, a “Gothic
Goffer” decorative font. It is dedicated to Ato Yigezu Bisrat, whose 1963 book
“Ye-Ethiopia khine tsehifet” (Ethiopian Typography) provided the original
design that served as inspiration for this work.}

%global fonts_family8             Yigezu Bisrat Gothic
%global fonts_summary8            Senamirmir Yigezu Bisrat Gothic, %{fonts_summary}
%global fonts_tags8               %{expand:
Obsoletes: senamirmir-washra-yigezu-bisrat-gothic-fonts < %{version}-%{release}
}
%global fonts_fonts8              yigezubisratgothic.ttf
%global fonts_experimental_confs8 65-%{fonts_name8}.xml
%global fonts_description8        %{expand:
%{?common_description}
This package consists of the “Ethiopic Yigezu Bisrat Gothic” font, a “Gothic”
decorative font. It is dedicated to Ato Yigezu Bisrat, whose 1963 book
“Ye-Ethiopia khine tsehifet” (Ethiopian Typography) provided inspiration for
this work.}

%global fonts_family9             Zelan
%global fonts_summary9            Senamirmir Zelan, %{fonts_summary}
%global fonts_tags9               %{expand:
Obsoletes: senamirmir-washra-zelan-fonts < %{version}-%{release}
}
%global fonts_fonts9              zelan.ttf
%global fonts_experimental_confs9 65-%{fonts_name9}.xml
%global fonts_description9        %{expand:
%{?common_description}
This package consists of the “Ethiopic Zelan” font.}

%global fonts_meta_all0           true

%global doc_licenses0 %{default_fonts_licenses}
%global doc_docs0     *pdf *doc

%auto_init
%auto_pkg

%sourcelist
%global archive_name washra_fonts4-1
http://www.senamirmir.org/downloads/%{archive_name}.zip
65-%{fonts_name0}.xml
65-%{fonts_name1}.xml
65-%{fonts_name2}.xml
65-%{fonts_name3}.xml
65-%{fonts_name4}.xml
65-%{fonts_name5}.xml
65-%{fonts_name6}.xml
65-%{fonts_name7}.xml
65-%{fonts_name8}.xml
65-%{fonts_name9}.xml

%prep
%auto_prep
%setup -c -q
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog

* Thu Apr 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 4.1-26
👻 Rebuild with fonts-rpm-macros 2.0.4 to make sure fontconfig files are valid

* Mon Mar 02 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 4.1-24
✅ Lint, lint, lint and lint again

* Sat Feb 22 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 4.1-23
✅ Rebuild with fonts-rpm-macros 2.0.2

* Sat Feb 15 2020 Nicolas Mailhot <nim@fedoraproject.org>
- 4.1-22
✅ Convert to fonts-rpm-macros use

* Tue Jun 2 2009 Nicolas Mailhot <nim@fedoraproject.org>
- 4.1-1
✅ Initial packaging
